zenilib: TiXmlVisitor Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
TiXmlVisitor Class Reference

`#include <tinyxml.h>`

Inherited by TiXmlPrinter.

## Public Member Functions

virtual | ~TiXmlVisitor ()
virtual bool | Visit (const TiXmlDeclaration &)
| Visit a declaration. More...
virtual bool | Visit (const TiXmlText &)
| Visit a text node. More...
virtual bool | Visit (const TiXmlComment &)
| Visit a comment node. More...
virtual bool | Visit (const TiXmlUnknown &)
| Visit an unknow node. More...
virtual bool | VisitEnter (const TiXmlDocument &)
| Visit a document. More...
virtual bool | VisitEnter (const TiXmlElement &, const TiXmlAttribute *)
| Visit an element. More...
virtual bool | VisitExit (const TiXmlDocument &)
| Visit a document. More...
virtual bool | VisitExit (const TiXmlElement &)
| Visit an element. More...

## Detailed Description

Implements the interface to the "Visitor pattern" (see the Accept() method.) If you call the Accept() method, it requires being passed a TiXmlVisitor class to handle callbacks. For nodes that contain other nodes (Document, Element) you will get called with a VisitEnter/VisitExit pair. Nodes that are always leaves are simply called with Visit().

If you return 'true' from a Visit method, recursive parsing will continue. If you return false, no children of this node or its sibilings will be Visited.

All flavors of Visit methods have a default implementation that returns 'true' (continue visiting). You need to only override methods that are interesting to you.

Generally Accept() is called on the TiXmlDocument, although all nodes suppert Visiting.

You should never change the document from a callback.

See Also
  TiXmlNode::Accept()

Definition at line 128 of file tinyxml.h.

## Constructor & Destructor Documentation

virtual TiXmlVisitor::~TiXmlVisitor | ( |  | ) |

inlinevirtual

Definition at line 131 of file tinyxml.h.

## Member Function Documentation

virtual bool TiXmlVisitor::Visit | ( | const TiXmlDeclaration & |  | ) |

inlinevirtual

Visit a declaration.

Reimplemented in TiXmlPrinter.

Definition at line 144 of file tinyxml.h.

Referenced by TiXmlComment::Accept(), TiXmlText::Accept(), TiXmlDeclaration::Accept(), and TiXmlUnknown::Accept().

virtual bool TiXmlVisitor::Visit | ( | const TiXmlText & |  | ) |

inlinevirtual

Visit a text node.

Reimplemented in TiXmlPrinter.

Definition at line 146 of file tinyxml.h.

virtual bool TiXmlVisitor::Visit | ( | const TiXmlComment & |  | ) |

inlinevirtual

Visit a comment node.

Reimplemented in TiXmlPrinter.

Definition at line 148 of file tinyxml.h.

virtual bool TiXmlVisitor::Visit | ( | const TiXmlUnknown & |  | ) |

inlinevirtual

Visit an unknow node.

Reimplemented in TiXmlPrinter.

Definition at line 150 of file tinyxml.h.

virtual bool TiXmlVisitor::VisitEnter | ( | const TiXmlDocument & |  | ) |

inlinevirtual

Visit a document.

Reimplemented in TiXmlPrinter.

Definition at line 134 of file tinyxml.h.

Referenced by TiXmlElement::Accept(), and TiXmlDocument::Accept().

virtual bool TiXmlVisitor::VisitEnter | ( | const TiXmlElement & | ,
|  | const TiXmlAttribute * |
| ) |  |

inlinevirtual

Visit an element.

Reimplemented in TiXmlPrinter.

Definition at line 139 of file tinyxml.h.

virtual bool TiXmlVisitor::VisitExit | ( | const TiXmlDocument & |  | ) |

inlinevirtual

Visit a document.

Reimplemented in TiXmlPrinter.

Definition at line 136 of file tinyxml.h.

Referenced by TiXmlElement::Accept(), and TiXmlDocument::Accept().

virtual bool TiXmlVisitor::VisitExit | ( | const TiXmlElement & |  | ) |

inlinevirtual

Visit an element.

Reimplemented in TiXmlPrinter.

Definition at line 141 of file tinyxml.h.

The documentation for this class was generated from the following file:

- zenilib/jni/external/tinyxml/tinyxml.h